Bug 489040 - restore jobs fail in ssh mode
restore jobs fail in ssh mode
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-06 16:23 EST by Misho Krastev
Modified: 2009-07-28 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.43.3-0.1.rc1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misho Krastev 2009-03-06 16:23:38 EST
Description of problem:

Code error occurs when attempting to restore archive from ssh2 source.

Version-Release number of selected component (if applicable):

1.43.2-2.fc9

How reproducible:

Every time.

Steps to Reproduce:
1. Create an archive on ssh2 destination
2. Choose to Restore Set
3. Select ssh2 source type
4. Enter all details
5. Click on Test Settings
  
Actual results:

Error dialog window opens with the following message:

Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 1614, in on_restore1TestSettingsButton_clicked
    if not (host and username and port and folder):
NameError: global name 'folder' is not defined


Expected results:

Testing the restore archive parameters should succeed.

Additional info:

If I skip the Test Settings and proceed with restore the operation will fail nonetheless with the following log messages:

Mar 06 13:09:07 :: DEBUG : Receiving files from server via SFTP
Mar 06 13:09:07 :: DEBUG : Could not receive file from server: Failure
Mar 06 13:09:07 :: ERROR : Source `' is not an archive!
Mar 06 13:09:07 :: DEBUG : Thread returned with retval False

And one usability note. If I click on existing Backup Set and then I choose restore, I would expect the restore mode to be the one from the Backup Set I have selected. A bit boring to have to enter ssh2 parameters with every restore job.
Comment 1 Stewart Adam 2009-03-08 00:27:13 EST
Fixed this in git, will patch the Fedora RPM soon.
Comment 2 Fedora Update System 2009-03-23 00:10:18 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.1.rc1.fc9
Comment 3 Fedora Update System 2009-03-23 11:55:01 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2936
Comment 4 Fedora Update System 2009-03-23 12:00:12 EDT
fwbackups-1.43.3-0.1.rc1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2972
Comment 5 Fedora Update System 2009-04-09 12:08:11 EDT
fwbackups-1.43.3-0.1.rc1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-09 12:10:20 EDT
fwbackups-1.43.3-0.1.rc1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Misho Krastev 2009-07-28 14:49:32 EDT
Fix confirmed. Version 1.43.3rc2 on Fedora 9 works fine now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.